Class | Fog::Compute::Server
In: | lib/fog/compute/models/server.rb
Parent: | Fog::Model

### Methods

private_key private_key_path public_key public_key_path scp scp_download scp_upload ssh ssh_port sshable? username

### Attributes

private_key | [W] |
private_key_path | [W] |
public_key | [W] |
public_key_path | [W] |
username | [W] |

### Public Instance methods

private_key()
private_key_path()
public_key()
public_key_path()
scp(local_path, remote_path, upload_options = {})
scp_download(remote_path, local_path, download_options = {})
scp_upload(local_path, remote_path, upload_options = {})

Alias for scp

ssh(commands, options={}, &blk)
ssh_port()
sshable?()
username()

[Validate]